const custom_levels = {
	levels: {
		emerg: 0,
		alert: 1,
		crit: 2,
		error: 3,
		warning: 4,
		notice: 5,
		info: 6,
		debug: 7
	},

	colors: {
		error: "italic bold  red",
		warn: "italic bold magenta",
		info: "italic bold green",
		debug: "italic bold blue",
		silly: "italic bold yellow"
	}
};

class Logger {
	constructor(source = "default") {
		this.source = source;
		this.custom_levels = custom_levels;
	}

	add_level(level_name, color) {}

	change_level_color(level_name, color) {
		this.custom_levels.levels[level_name] = color;
	}
}
